## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name ckzg

Name:          python-%{pypi_name}
Version:       2.1.1
Release:       %autorelease
Summary:       An implementation of the Polynomial Commitments API for EIP-4844/7594
License:       Apache-2.0
URL:           https://github.com/ethereum/c-kzg-4844
VCS:           git:%{url}.git
Source0:       %{pypi_source %pypi_name}
# Fedora-specific
Patch:         python-ckzg-0001-Let-override-CC.patch
# Fedora-specific
Patch:         python-ckzg-0002-Disable-Werror.patch
# https://github.com/supranational/blst/pull/109
Patch:         blst-0001-Support-64-bit-limbs-on-no-asm-platforms.patch
BuildRequires: gcc
BuildRequires: python3-pytest
BuildSystem:   pyproject
BuildOption(prep):    -n %{pypi_name}-%{version}
BuildOption(install): -l %{pypi_name}
# https://github.com/supranational/blst
Provides:      bundled(blst)

%description
%{summary}.

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name}
%{summary}.

%check -a
cd src
make test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 2.1.1-2
- Rebuilt for Python 3.14

* Tue Apr 01 2025 Peter Lemenkov <lemenkov@gmail.com> - 2.1.1-1
- ckzg ver. 2.1.1

* Mon Mar 24 2025 Peter Lemenkov <lemenkov@gmail.com> - 2.1.0-1
- ckzg ver. 2.1.0

* Thu Mar 13 2025 Peter Lemenkov <lemenkov@gmail.com> - 2.0.1-2
- F41+: Use the provisional declarative buildsystem

* Mon Jan 27 2025 Peter Lemenkov <lemenkov@gmail.com> - 2.0.1-1
- Initial build
## END: Generated by rpmautospec
